org.apache.tinkerpop.gremlin.process.traversal.step.branch

## Class RepeatTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.branch.RepeatTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.branch.RepeatTest.Traversals

- Enclosing class:
    RepeatTest

      public static class RepeatTest.Traversals
      extends RepeatTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.branch.RepeatTest

      `RepeatTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Path>` | `get_g_V_emit_repeatXoutX_timesX2X_path()`
    `Traversal<Vertex,Path>` | `get_g_V_emit_timesX2X_repeatXoutX_path()`
    `Traversal<Vertex,Path>` | `get_g_V_hasXloop_name_loopX_repeatXinX_timesX5X_path_by_name()`
    `Traversal<Vertex,Path>` | `get_g_V_hasXname_markoX_repeatXoutE_inV_simplePathX_untilXhasXname_rippleXX_path_byXnameX_byXlabelX()`
    `Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_repeatXbothX_timesX10X_asXaX_out_asXbX_selectXa_bX()`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_repeatXbothX_untilXname_eq_marko_or_loops_gt_1X_groupCount_byXnameX()`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_repeatXgroupCountXmX_byXnameX_outX_timesX2X_capXmX()`
    `Traversal<Vertex,Path>` | `get_g_V_repeatXoutX_timesX2X_emit_path()`
    `Traversal<Vertex,Vertex>` | `get_g_V_repeatXoutX_timesX2X_emit()`
    `Traversal<Vertex,String>` | `get_g_V_repeatXoutX_timesX2X_repeatXinX_timesX2X_name()`
    `Traversal<Vertex,Vertex>` | `get_g_V_repeatXoutX_timesX2X()`
    `Traversal<Vertex,String>` | `get_g_VX1X_emitXhasXlabel_personXX_repeatXoutX_name(Object v1Id)`
    `Traversal<Vertex,Map<Integer,Long>>` | `get_g_VX1X_repeatXgroupCountXmX_byXloopsX_outX_timesX3X_capXmX(Object v1Id)`
    `Traversal<Vertex,String>` | `get_g_VX1X_repeatXoutX_untilXoutE_count_isX0XX_name(Object v1Id)`
    `Traversal<Vertex,String>` | `get_g_VX1X_timesX2X_repeatXoutX_name(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.branch.RepeatTest

      `g_V_emit_repeatXoutX_timesX2X_path, g_V_emit_timesX2X_repeatXoutX_path, g_V_hasXloop_name_loopX_repeatXinX_timesX5X_path_by_name, g_V_hasXname_markoX_repeatXoutE_inV_simplePathX_untilXhasXname_rippleXX_path_byXnameX_byXlabelX, g_V_repeatXbothX_timesX10X_asXaX_out_asXbX_selectXa_bX, g_V_repeatXbothX_untilXname_eq_marko_or_loops_gt_1X_groupCount_byXnameX, g_V_repeatXgroupCountXmX_byXnameX_outX_timesX2X_capXmX, g_V_repeatXoutX_timesX2X_emit_path, g_V_repeatXoutX_timesX2X_emit, g_V_repeatXoutX_timesX2X_repeatXinX_timesX2X_name, g_V_repeatXoutX_timesX2X, g_VX1X_emitXhasXlabel_personXX_repeatXoutX_name, g_VX1X_repeatXgroupCountXmX_byXloopsX_outX_timesX3X_capXmX, g_VX1X_repeatXoutX_untilXoutE_count_isX0XX_name, g_VX1X_timesX2X_repeatXoutX_name`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_repeatXoutX_timesX2X_emit_path

          public Traversal<Vertex,Path> get_g_V_repeatXoutX_timesX2X_emit_path()

      Specified by:
        `get_g_V_repeatXoutX_timesX2X_emit_path` in class `RepeatTest`

    - #### get_g_V_repeatXoutX_timesX2X_repeatXinX_timesX2X_name

          public Traversal<Vertex,String> get_g_V_repeatXoutX_timesX2X_repeatXinX_timesX2X_name()

      Specified by:
        `get_g_V_repeatXoutX_timesX2X_repeatXinX_timesX2X_name` in class `RepeatTest`

    - #### get_g_V_repeatXoutX_timesX2X

          public Traversal<Vertex,Vertex> get_g_V_repeatXoutX_timesX2X()

      Specified by:
        `get_g_V_repeatXoutX_timesX2X` in class `RepeatTest`

    - #### get_g_V_repeatXoutX_timesX2X_emit

          public Traversal<Vertex,Vertex> get_g_V_repeatXoutX_timesX2X_emit()

      Specified by:
        `get_g_V_repeatXoutX_timesX2X_emit` in class `RepeatTest`

    - #### get_g_VX1X_timesX2X_repeatXoutX_name

          public Traversal<Vertex,String> get_g_VX1X_timesX2X_repeatXoutX_name(Object v1Id)

      Specified by:
        `get_g_VX1X_timesX2X_repeatXoutX_name` in class `RepeatTest`

    - #### get_g_V_emit_repeatXoutX_timesX2X_path

          public Traversal<Vertex,Path> get_g_V_emit_repeatXoutX_timesX2X_path()

      Specified by:
        `get_g_V_emit_repeatXoutX_timesX2X_path` in class `RepeatTest`

    - #### get_g_V_emit_timesX2X_repeatXoutX_path

          public Traversal<Vertex,Path> get_g_V_emit_timesX2X_repeatXoutX_path()

      Specified by:
        `get_g_V_emit_timesX2X_repeatXoutX_path` in class `RepeatTest`

    - #### get_g_VX1X_emitXhasXlabel_personXX_repeatXoutX_name

          public Traversal<Vertex,String> get_g_VX1X_emitXhasXlabel_personXX_repeatXoutX_name(Object v1Id)

      Specified by:
        `get_g_VX1X_emitXhasXlabel_personXX_repeatXoutX_name` in class `RepeatTest`

    - #### get_g_V_repeatXgroupCountXmX_byXnameX_outX_timesX2X_capXmX

          public Traversal<Vertex,Map<String,Long>> get_g_V_repeatXgroupCountXmX_byXnameX_outX_timesX2X_capXmX()

      Specified by:
        `get_g_V_repeatXgroupCountXmX_byXnameX_outX_timesX2X_capXmX` in class `RepeatTest`

    - #### get_g_V_repeatXbothX_timesX10X_asXaX_out_asXbX_selectXa_bX

          public Traversal<Vertex,Map<String,Vertex>> get_g_V_repeatXbothX_timesX10X_asXaX_out_asXbX_selectXa_bX()

      Specified by:
        `get_g_V_repeatXbothX_timesX10X_asXaX_out_asXbX_selectXa_bX` in class `RepeatTest`

    - #### get_g_VX1X_repeatXoutX_untilXoutE_count_isX0XX_name

          public Traversal<Vertex,String> get_g_VX1X_repeatXoutX_untilXoutE_count_isX0XX_name(Object v1Id)

      Specified by:
        `get_g_VX1X_repeatXoutX_untilXoutE_count_isX0XX_name` in class `RepeatTest`

    - #### get_g_VX1X_repeatXgroupCountXmX_byXloopsX_outX_timesX3X_capXmX

          public Traversal<Vertex,Map<Integer,Long>> get_g_VX1X_repeatXgroupCountXmX_byXloopsX_outX_timesX3X_capXmX(Object v1Id)

      Specified by:
        `get_g_VX1X_repeatXgroupCountXmX_byXloopsX_outX_timesX3X_capXmX` in class `RepeatTest`

    - #### get_g_V_repeatXbothX_untilXname_eq_marko_or_loops_gt_1X_groupCount_byXnameX

          public Traversal<Vertex,Map<String,Long>> get_g_V_repeatXbothX_untilXname_eq_marko_or_loops_gt_1X_groupCount_byXnameX()

      Specified by:
        `get_g_V_repeatXbothX_untilXname_eq_marko_or_loops_gt_1X_groupCount_byXnameX` in class `RepeatTest`

    - #### get_g_V_hasXname_markoX_repeatXoutE_inV_simplePathX_untilXhasXname_rippleXX_path_byXnameX_byXlabelX

          public Traversal<Vertex,Path> get_g_V_hasXname_markoX_repeatXoutE_inV_simplePathX_untilXhasXname_rippleXX_path_byXnameX_byXlabelX()

      Specified by:
        `get_g_V_hasXname_markoX_repeatXoutE_inV_simplePathX_untilXhasXname_rippleXX_path_byXnameX_byXlabelX` in class `RepeatTest`

    - #### get_g_V_hasXloop_name_loopX_repeatXinX_timesX5X_path_by_name

          public Traversal<Vertex,Path> get_g_V_hasXloop_name_loopX_repeatXinX_timesX5X_path_by_name()

      Specified by:
        `get_g_V_hasXloop_name_loopX_repeatXinX_timesX5X_path_by_name` in class `RepeatTest`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.